package com.yc.education.service;

import com.yc.education.model.Producten;

import java.util.List;

public interface ProductenService extends IService<Producten> {

    List<Producten> findProductByPid(Integer cid, Integer wid, String name, String minDate, String maxDate);

    //根据一级id删除商品
    void deleteByCid(Integer cid);

    //根据二级id删除商品
    void deleteByWid(Integer wid);

    //得到上一页的产品
    Producten findProductById01(Integer id, Integer cid, Integer wid);

    //得到下一页的产品
    Producten findProductById02(Integer id, Integer cid, Integer wid);
}
